"""
Identifier:     KSC-SJ4-csst_common/status.py
Name:           status.py
Description:    CSST status
Author:         Bo Zhang
Created:        2022-10-04
Modified-History:
    2022-10-04, Bo Zhang, created
    2022-10-04, Bo Zhang, added CsstStatus
    2022-10-07, Bo Zhang, added Numpydoc docstring
"""
from enum import IntEnum


class CsstStatus(IntEnum):
    """
    The CSST Status class.

    This class provides a set of status which should be returned
    from each CSST L1 functional module.

    Examples
    --------
    >>> def f(num):
    >>>     if num > 0:
    >>>         return CsstStatus.PERFECT
    >>>     return CsstStatus.ERROR
    """
    PERFECT = 0
    WARNING = 1
    ERROR = 2
    # status list to be completed
